Index: sansview/installer_generator.py
===================================================================
--- sansview/installer_generator.py	(revision e7281fdb3b71030f4b32553f99b6ac5bf7df4b02)
+++ sansview/installer_generator.py	(revision aade98e45360b39cf3edfa29660d029f66b996bb)
@@ -24,5 +24,5 @@
                                 
 OutputBaseFilename = local_config.OutputBaseFilename
-SetupIconFile = local_config.SetupIconFile_win
+SetupIconFile = "images\\ball.ico"
 LicenseFile = 'license.txt'
 DisableProgramGroupPage = 'yes'
@@ -183,4 +183,6 @@
     msg += """Name: "desktopicon";\tDescription: "{cm:CreateDesktopIcon}";\t"""
     msg += """GroupDescription: "{cm:AdditionalIcons}";\tFlags: unchecked\n"""
+    msg += """Name: "quicklaunchicon"; Description: "{cm:CreateQuickLaunchIcon}";\t"""
+    msg += """GroupDescription: "{cm:AdditionalIcons}";\n"""
     return msg
 
@@ -195,10 +197,8 @@
     msg += """Source: "dist\*";\tDestDir: "{app}";\t"""
     msg += """Flags: ignoreversion recursesubdirs createallsubdirs\n"""
-    msg += """Source: "%s\*";\tDestDir: "{app}\%s";\t""" % (str(icon_path), str("images"))
-    msg += """Flags: ignoreversion recursesubdirs createallsubdirs\n"""
-    msg += """Source: "%s\*";\tDestDir: "{app}\%s";\t""" % (str(test_path), str("test"))
-    msg += """Flags: ignoreversion recursesubdirs createallsubdirs\n"""
-    msg += """Source: "%s\*";\tDestDir: "{app}\%s";\t""" % (str(media_path), str("media"))
-    msg += """Flags: ignoreversion recursesubdirs createallsubdirs\n"""
+    msg += """Source: "dist\plugin_models\*";\tDestDir: "{userappdata}\..\.sansview\plugin_models";\t""" 
+    msg += """Flags: recursesubdirs createallsubdirs\n"""
+    msg += """Source: "dist\config\custom_config.py";\tDestDir: "{userappdata}\..\.sansview\config";\t""" 
+    msg += """Flags: recursesubdirs createallsubdirs\n"""
     msg += """;\tNOTE: Don't use "Flags: ignoreversion" on any shared system files"""
     return msg
@@ -211,10 +211,13 @@
     msg += """Name: "{group}\%s";\t""" % str(AppName)
     msg += """Filename: "{app}\%s";\t"""  % str(APPLICATION)
-    msg += """WorkingDir: "{app}" \n"""
+    msg += """WorkingDir: "{app}"; IconFilename: "{app}\images\\ball.ico" \n"""
     msg += """Name: "{group}\{cm:UninstallProgram, %s}";\t""" % str(AppName)
     msg += """ Filename: "{uninstallexe}" \n"""
     msg += """Name: "{commondesktop}\%s";\t""" % str(AppVerName)
     msg += """Filename: "{app}\%s";\t""" % str(APPLICATION)
-    msg += """Tasks: desktopicon; WorkingDir: "{app}" \n"""
+    msg += """Tasks: desktopicon; WorkingDir: "{app}" ; IconFilename: "{app}\images\\ball.ico" \n"""
+    msg += """Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\%s";\t""" % str(AppVerName)
+    msg += """Filename: "{app}\%s";\t""" % str(APPLICATION)
+    msg += """Tasks: quicklaunchicon; WorkingDir: "{app}"; IconFilename: "{app}\images\\ball.ico" \n"""
     return msg
 
@@ -227,4 +230,19 @@
     msg += """Description: "{cm:LaunchProgram, %s}";\t""" %str(AppName) 
     msg += """Flags: nowait postinstall skipifsilent\n"""
+    msg += """; Install the Microsoft C++ DLL redistributable package if it is """
+    msg += """provided and the DLLs are not present on the target system.\n"""
+    msg += """; Note that the redistributable package is included if the app was """
+    msg += """built using Python 2.6 or 2.7, but not with 2.5.\n"""
+    msg += """; Parameter options:\n"""
+    msg += """; - for silent install use: "/q"\n"""
+    msg += """; - for silent install with progress bar use: "/qb"\n"""
+    msg += """; - for silent install with progress bar but disallow """
+    msg += """cancellation of operation use: "/qb!"\n"""
+    msg += """; Note that we do not use the postinstall flag as this would """
+    msg += """display a checkbox and thus require the user to decide what to do.\n"""
+    msg += """;Filename: "{app}\\vcredist_x86.exe"; Parameters: "/qb!"; """
+    msg += """WorkingDir: "{tmp}"; StatusMsg: "Installing Microsoft Visual """
+    msg += """C++ 2008 Redistributable Package ..."; Check: InstallVC90CRT(); """
+    msg += """Flags: skipifdoesntexist waituntilterminated\n"""
     return msg
 
@@ -245,4 +263,9 @@
     """
     msg = """\n\n[Code]\n"""
+    msg += """function InstallVC90CRT(): Boolean;\n""" 
+    msg += """begin\n"""
+    msg += """    Result := not DirExists('C:\WINDOWS\WinSxS\\x86_Microsoft.VC90."""
+    msg += """CRT_1fc8b3b9a1e18e3b_9.0.21022.8_x-ww_d08d0375');\n"""
+    msg += """end;\n\n"""
     msg += """function NeedsAddPath(): boolean;\n""" 
     msg += """var\n""" 
@@ -273,10 +296,27 @@
     msg += """end;\n"""
     msg += """\n"""
-    
-    
-    
-    
-    return msg
-
+    return msg
+
+def write_uninstalldelete():
+    """
+    Define uninstalldelete
+    """
+    msg = """\n[UninstallDelete]\n"""
+    msg += """; Delete directories and files that are dynamically created by """
+    msg += """the application (i.e. at runtime).\n"""
+    msg += """Type: filesandordirs; Name: "{app}\.matplotlib"\n"""
+    msg += """Type: files; Name: "{app}\*.*"\n"""
+    msg += """; The following is a workaround for the case where the """
+    msg += """application is installed and uninstalled but the\n"""
+    msg += """;{app} directory is not deleted because it has user files.  """
+    msg += """Then the application is installed into the\n"""
+    msg += """; existing directory, user files are deleted, and the """
+    msg += """application is un-installed again.  Without the\n"""
+    msg += """; directive below, {app} will not be deleted because Inno Setup """
+    msg += """did not create it during the previous\n"""
+    msg += """; installation.\n"""
+    msg += """Type: dirifempty; Name: "{app}"\n"""
+    msg += """\n"""  
+    return msg
 
 if __name__ == "__main__":
@@ -312,4 +352,5 @@
     TEMPLATE += write_dirs()
     TEMPLATE += write_code()
+    TEMPLATE += write_uninstalldelete()
     path = '%s.iss' % str(INSTALLER_FILE)
     f = open(path,'w') 
Index: sansview/installer_new.iss
===================================================================
--- sansview/installer_new.iss	(revision 8ab33024df5aad679043fe920c9dedb7d1a3cbaf)
+++ sansview/installer_new.iss	(revision aade98e45360b39cf3edfa29660d029f66b996bb)
@@ -62,5 +62,5 @@
 [Tasks]
 Name: "desktopicon";	Description: "{cm:CreateDesktopIcon}";	GroupDescription: "{cm:AdditionalIcons}";	Flags: unchecked
-Name: "quicklaunchicon"; Description: "{cm:CreateQuickLaunchIcon}"; GroupDescription: "{cm:AdditionalIcons}";
+Name: "quicklaunchicon"; Description: "{cm:CreateQuickLaunchIcon}";	GroupDescription: "{cm:AdditionalIcons}";
 
 
@@ -68,13 +68,13 @@
 Source: "dist\SansView.exe";	DestDir: "{app}";	Flags: ignoreversion
 Source: "dist\*";	DestDir: "{app}";	Flags: ignoreversion recursesubdirs createallsubdirs
-Source: "dist\plugin_models\*";	DestDir: "{userappdata}\..\.sansview\plugin_models";	Flags: recursesubdirs createallsubdirs 
-Source: "dist\config\custom_config.py"; DestDir: "{userappdata}\..\.sansview\config";	Flags: recursesubdirs createallsubdirs 
+Source: "dist\plugin_models\*";	DestDir: "{userappdata}\..\.sansview\plugin_models";	Flags: recursesubdirs createallsubdirs
+Source: "dist\config\custom_config.py";	DestDir: "{userappdata}\..\.sansview\config";	Flags: recursesubdirs createallsubdirs
 ;	NOTE: Don't use "Flags: ignoreversion" on any shared system files
 
 [Icons]
-Name: "{group}\SansView";	Filename: "{app}\SansView.exe";	WorkingDir: "{app}"; IconFilename: "{app}\images\ball.ico"
+Name: "{group}\SansView";	Filename: "{app}\SansView.exe";	WorkingDir: "{app}"; IconFilename: "{app}\images\ball.ico" 
 Name: "{group}\{cm:UninstallProgram, SansView}";	 Filename: "{uninstallexe}" 
-Name: "{commondesktop}\SansView-2.0.1";	Filename: "{app}\SansView.exe";	Tasks: desktopicon; WorkingDir: "{app}" ; IconFilename: "{app}\images\ball.ico"
-Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\SansView-2.0.1"; Filename: "{app}\SansView"; Tasks: quicklaunchicon; WorkingDir: "{app}"; IconFilename: "{app}\images\ball.ico"
+Name: "{commondesktop}\SansView-2.0.1";	Filename: "{app}\SansView.exe";	Tasks: desktopicon; WorkingDir: "{app}" ; IconFilename: "{app}\images\ball.ico" 
+Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\SansView-2.0.1";	Filename: "{app}\SansView.exe";	Tasks: quicklaunchicon; WorkingDir: "{app}"; IconFilename: "{app}\images\ball.ico" 
 
 
@@ -127,4 +127,5 @@
 end;
 
+
 [UninstallDelete]
 ; Delete directories and files that are dynamically created by the application (i.e. at runtime).
@@ -137,2 +138,3 @@
 ; installation.
 Type: dirifempty; Name: "{app}"
+
